From 87e4cf283a086d78132bfddec868de709aee5d30 Mon Sep 17 00:00:00 2001
From: Pranav Kant <pranav913@gmail.com>
Date: Mon, 7 Jul 2014 23:33:01 +0530
Subject: [PATCH] Prevent a crash when compiled with gegl-0.3

https://bugzilla.gnome.org/show_bug.cgi?id=731437
---
 src/photos-preview-view.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/src/photos-preview-view.c b/src/photos-preview-view.c
index 3f2a1b6..5521133 100644
--- a/src/photos-preview-view.c
+++ b/src/photos-preview-view.c
@@ -276,10 +276,9 @@ photos_preview_view_set_node (PhotosPreviewView *self, GeglNode *node)
     goto out;
 
   priv->node = g_object_ref (node);
-  photos_preview_view_scale_and_align_image (self);
+  gegl_gtk_view_set_node (GEGL_GTK_VIEW (priv->view), priv->node);
 
-  /* Steals the reference to the GeglNode. */
-  gegl_gtk_view_set_node (GEGL_GTK_VIEW (priv->view), g_object_ref (priv->node));
+  photos_preview_view_scale_and_align_image (self);
   gtk_widget_queue_draw (priv->view);
 
  out:
-- 
1.9.3

